name: Link Element
icon: download
wysiwyg: true
preview: fields
fields:
  link:
    type: link
    label: Link
    width: 1/2
    options:
      - file
      - url
      - email
      - tel
  target:
    type: toggle
    width: 1/4
    default: true
    label: Im neuen Fenster?
  icon:
    type: toggles
    default: download
    columns: 5
    width: 1/2
    labels: false
    # values are lucide values
    options:
      - value: download
        text: Download
        icon: download
      - value: external-link
        text: External
        icon: open
      - value: phone
        text: Telefon
        icon: phone
      - value: mail
        text: Email
        icon: email
      - value: map-pin
        text: Map-Pin
        icon: pin

  linkText:
    type: text
    label: Label
    width: 1/2
    help: Für Accessibility bitte deskriptiv genug sein.
  
